Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040057
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersminoralways2019-01-30 09:372019-04-08 18:05
ReporteralostaleView Statuspublic 
Assigned Tomarkmm82 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision8ab9893ab2b9
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040057: qa-pi-aum and qa-pi-returnto suites fail

Descriptionqa-pi-aum and qa-pi-returnto test suites fail after issue 0036421.

The reason is they were relying on the buggy filtering which discarded everything after first "-" when filtering any property participating in an identifier.

Steps To ReproduceFor example, in AUMRTVd010 (attached in the video in issue 0036421), "13 - 29-01-2019 - -125.40" value is typed in RM Order No column expecting to filter the column with value "13", this worked before but now no records are returned.
Proposed SolutionFix failing tests relying on incorrect filter implementation.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036421 closedalostale Financial Account records are not filtered by name if the filter contains "-" 

-  Notes
(0110935)
hgbot (developer)
2019-03-31 17:04

Repository: tools/automation/int
Changeset: 8ab9893ab2b9427838463eb7ddf12f6f91cfc61a
Author: Mark <markmm82 <at> gmail.com>
Date: Sun Feb 10 19:21:16 2019 -0300
URL: http://code.openbravo.com/tools/automation/int/rev/8ab9893ab2b9427838463eb7ddf12f6f91cfc61a [^]

Fixes issue 40057: Fixed qa-pi-aum and qa-pi-returnto suites failure

It is not used record identifiers as filter in PE, right now the way the filtering
is done is using all fields used as identifiers by separated filters.

-- Updated copyright.
-- Removed unused rtvIdentifier variable.
-- Used the RTV Document Number instead of the RTV Identifier.

---
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/returntovendor/RTVd010CreateReversedInvoiceFromReturnToVendorShipment.java
---
(0110936)
hgbot (developer)
2019-03-31 17:04

Repository: tools/automation/int
Changeset: a32d9ef6cd2bf126482ba05b8780600558e9e53e
Author: Mark <markmm82 <at> gmail.com>
Date: Mon Feb 18 00:04:31 2019 -0300
URL: http://code.openbravo.com/tools/automation/int/rev/a32d9ef6cd2bf126482ba05b8780600558e9e53e [^]

Related to issue 40057: Fixed qa-pi-aum suite failure

---
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/aum/testsuites/returntovendor/AUMRTVd010CreateReversedInvoiceFromReturnToVendorShipment.java
---
(0111030)
Sandrahuguet (developer)
2019-04-08 18:05

verified

- Issue History
Date Modified Username Field Change
2019-01-30 09:37 alostale New Issue
2019-01-30 09:37 alostale Assigned To => Triage Finance
2019-01-30 09:37 alostale Modules => Core
2019-01-30 09:37 alostale Triggers an Emergency Pack => No
2019-01-30 09:38 alostale Relationship added related to 0036421
2019-02-06 13:40 Sandrahuguet Assigned To Triage Finance => markmm82
2019-02-07 03:43 markmm82 Status new => scheduled
2019-03-31 17:04 hgbot Checkin
2019-03-31 17:04 hgbot Note Added: 0110935
2019-03-31 17:04 hgbot Status scheduled => resolved
2019-03-31 17:04 hgbot Resolution open => fixed
2019-03-31 17:04 hgbot Fixed in SCM revision => http://code.openbravo.com/tools/automation/int/rev/8ab9893ab2b9427838463eb7ddf12f6f91cfc61a [^]
2019-03-31 17:04 hgbot Checkin
2019-03-31 17:04 hgbot Note Added: 0110936
2019-04-08 18:05 Sandrahuguet Review Assigned To => Sandrahuguet
2019-04-08 18:05 Sandrahuguet Note Added: 0111030
2019-04-08 18:05 Sandrahuguet Status resolved => closed
2019-04-08 18:05 Sandrahuguet Fixed in Version => 3.0PR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker